"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var core_1 = require("@material-ui/core");
var Breadcrumbs_ = /** @class */ (function (_super) {
    __extends(Breadcrumbs_, _super);
    function Breadcrumbs_() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Breadcrumbs_.prototype.render = function () {
        var _this = this;
        return (react_1.default.createElement(core_1.Breadcrumbs, { "aria-label": "breadcrumb" }, this.props.itens.map(function (item, idx) {
            if (item.name) {
                if (idx === (_this.props.itens.length - 1)) { // Is last item
                    return (react_1.default.createElement(core_1.Typography, { key: idx, color: "textPrimary" }, item.name));
                }
                else {
                    return (react_1.default.createElement(core_1.Link, { key: idx, color: "inherit", href: item.href }, item.name));
                }
            }
        })));
    };
    return Breadcrumbs_;
}(react_1.default.Component));
exports.default = Breadcrumbs_;
