"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Drawer_1 = __importDefault(require("@material-ui/core/Drawer"));
var clsx_1 = __importDefault(require("clsx"));
var IconButton_1 = __importDefault(require("@material-ui/core/IconButton"));
var Divider_1 = __importDefault(require("@material-ui/core/Divider"));
var List_1 = __importDefault(require("@material-ui/core/List"));
var ChevronLeft_1 = __importDefault(require("@material-ui/icons/ChevronLeft"));
var Drawer_ = /** @class */ (function (_super) {
    __extends(Drawer_, _super);
    function Drawer_() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.doLogout = function () {
            _this.props.logout();
            window.location = "/logout";
        };
        return _this;
    }
    Drawer_.prototype.render = function () {
        return (react_1.default.createElement(Drawer_1.default, { variant: "permanent", open: this.props.open, classes: {
                paper: clsx_1.default('drawerPaper', !this.props.open && 'drawerPaperClose'),
            } },
            react_1.default.createElement("div", { className: 'toolbarIcon' },
                react_1.default.createElement(IconButton_1.default, { onClick: this.props.handleDrawerClose },
                    react_1.default.createElement(ChevronLeft_1.default, null))),
            react_1.default.createElement(Divider_1.default, null),
            react_1.default.createElement(List_1.default, null, this.props.children)));
    };
    return Drawer_;
}(react_1.default.Component));
exports.default = Drawer_;
