"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var core_1 = require("@material-ui/core");
var RemoveModal = /** @class */ (function (_super) {
    __extends(RemoveModal, _super);
    function RemoveModal() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RemoveModal.prototype.render = function () {
        var _this = this;
        var modalLeft = (window.innerWidth / 2) - 200 + "px";
        var lodalTop = (window.innerHeight / 2) + "px";
        return (react_1.default.createElement(core_1.Modal, { "aria-labelledby": 'modal-remove-title', "aria-describedby": 'modal-remove-description', open: this.props.modalRemoveIsOpen, onClose: function () { return _this.props.handleModalRemoveClose(); }, style: {
                position: 'absolute',
            } },
            react_1.default.createElement("div", { style: {
                    width: '400px',
                    backgroundColor: 'white',
                    padding: '20px',
                    borderRadius: '10px',
                    position: 'fixed',
                    left: modalLeft,
                    top: lodalTop,
                } },
                react_1.default.createElement("h2", { id: 'modal-remove-title' }, "Confirm Remove Data"),
                react_1.default.createElement("p", { id: 'modal-remove-description' }, "Please, confirm that you want to remove this data."),
                react_1.default.createElement(core_1.Button, { style: { float: 'right' }, color: 'primary', onClick: function () { return _this.props.dismissRemove(); } }, "Cancel"),
                react_1.default.createElement(core_1.Button, { style: { float: 'right' }, color: 'secondary', onClick: function () { return _this.props.confirmRemove(); } }, "Remove"))));
    };
    return RemoveModal;
}(react_1.default.Component));
exports.default = RemoveModal;
