"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_sidenav_1 = __importStar(require("@trendmicro/react-sidenav"));
require("@trendmicro/react-sidenav/dist/react-sidenav.css");
var Sidebar = /** @class */ (function (_super) {
    __extends(Sidebar, _super);
    function Sidebar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Sidebar.prototype.render = function () {
        return (react_1.default.createElement(react_sidenav_1.default, { onSelect: function (selected) {
                // Add your code here
            } },
            react_1.default.createElement(react_sidenav_1.default.Toggle, null),
            react_1.default.createElement(react_sidenav_1.default.Nav, { defaultSelected: "home" },
                react_1.default.createElement(react_sidenav_1.NavItem, { eventKey: "users" },
                    react_1.default.createElement(react_sidenav_1.NavIcon, null,
                        react_1.default.createElement("a", { href: '/users' },
                            react_1.default.createElement("i", { className: "fas fa-users", style: { fontSize: '1.75em' } }))),
                    react_1.default.createElement(react_sidenav_1.NavText, null,
                        react_1.default.createElement("a", { href: '/users' }, "Admin Users"))),
                react_1.default.createElement(react_sidenav_1.NavItem, { eventKey: "schools" },
                    react_1.default.createElement(react_sidenav_1.NavIcon, null,
                        react_1.default.createElement("a", { href: '/schools' },
                            react_1.default.createElement("i", { className: "fas fa-school", style: { fontSize: '1.75em' } }))),
                    react_1.default.createElement(react_sidenav_1.NavText, null,
                        react_1.default.createElement("a", { href: '/schools' }, "Schools"))),
                react_1.default.createElement(react_sidenav_1.NavItem, { eventKey: "Classes" },
                    react_1.default.createElement(react_sidenav_1.NavIcon, null,
                        react_1.default.createElement("a", { href: '/classes' },
                            react_1.default.createElement("i", { className: "fas fa-chalkboard", style: { fontSize: '1.75em' } }))),
                    react_1.default.createElement(react_sidenav_1.NavText, null,
                        react_1.default.createElement("a", { href: '/classes' }, "Classes"))),
                react_1.default.createElement(react_sidenav_1.NavItem, { eventKey: "Groups" },
                    react_1.default.createElement(react_sidenav_1.NavIcon, null,
                        react_1.default.createElement("a", { href: '/groups' },
                            react_1.default.createElement("i", { className: "fas fa-layer-group", style: { fontSize: '1.75em' } }))),
                    react_1.default.createElement(react_sidenav_1.NavText, null,
                        react_1.default.createElement("a", { href: '/groups' }, "Groups"))),
                react_1.default.createElement(react_sidenav_1.NavItem, { eventKey: "Subgropus" },
                    react_1.default.createElement(react_sidenav_1.NavIcon, null,
                        react_1.default.createElement("a", { href: '/subgroups' },
                            react_1.default.createElement("i", { className: "fas fa-object-group", style: { fontSize: '1.75em' } }))),
                    react_1.default.createElement(react_sidenav_1.NavText, null,
                        react_1.default.createElement("a", { href: '/subgroups' }, "Subgropus"))),
                react_1.default.createElement(react_sidenav_1.NavItem, { eventKey: "Signout" },
                    react_1.default.createElement(react_sidenav_1.NavIcon, null,
                        react_1.default.createElement("a", { href: '/signout' },
                            react_1.default.createElement("i", { className: "fas fa-sign-out-alt", style: { fontSize: '1.75em' } }))),
                    react_1.default.createElement(react_sidenav_1.NavText, null,
                        react_1.default.createElement("a", { href: '/signout' }, "Signout"))))));
    };
    return Sidebar;
}(react_1.default.Component));
exports.default = Sidebar;
