import React from 'react';
import SideNav, { NavItem, NavIcon, NavText } from '@trendmicro/react-sidenav';

import '@trendmicro/react-sidenav/dist/react-sidenav.css';

class Sidebar extends React.Component {

  render () {
    return (
      <SideNav
          onSelect={(selected) => {
            // Add your code here
          }}>
        <SideNav.Toggle />
        <SideNav.Nav defaultSelected="home">
          <NavItem eventKey="users">
            <NavIcon>
              <a href='/users'>
                <i className="fas fa-users" style={{ fontSize: '1.75em' }} />
              </a>
            </NavIcon>
            <NavText>
              <a href='/users'>
                Admin Users
              </a>
            </NavText>
          </NavItem>
          <NavItem eventKey="schools">
            <NavIcon>
              <a href='/schools'>
                <i className="fas fa-school" style={{ fontSize: '1.75em' }} />
              </a>
            </NavIcon>
            <NavText>
              <a href='/schools'>
                Schools
              </a>
            </NavText>
          </NavItem>
          <NavItem eventKey="Classes">
            <NavIcon>
              <a href='/classes'>
                <i className="fas fa-chalkboard" style={{ fontSize: '1.75em' }} />
              </a>
            </NavIcon>
            <NavText>
              <a href='/classes'>
                Classes
              </a>
            </NavText>
          </NavItem>
          <NavItem eventKey="Groups">
            <NavIcon>
              <a href='/groups'>
                <i className="fas fa-layer-group" style={{ fontSize: '1.75em' }} />
              </a>
            </NavIcon>
            <NavText>
              <a href='/groups'>
                Groups
              </a>
            </NavText>
          </NavItem>
          <NavItem eventKey="Subgropus">
            <NavIcon>
              <a href='/subgroups'>
                <i className="fas fa-object-group" style={{ fontSize: '1.75em' }} />
              </a>
            </NavIcon>
            <NavText>
              <a href='/subgroups'>
                Subgropus
              </a>
            </NavText>
          </NavItem>
          <NavItem eventKey="Signout">
            <NavIcon>
              <a href='/signout'>
                <i className="fas fa-sign-out-alt" style={{ fontSize: '1.75em' }} />
              </a>
            </NavIcon>
            <NavText>
              <a href='/signout'>
                Signout
              </a>
            </NavText>
          </NavItem>
        </SideNav.Nav>
      </SideNav>
    );
  }

}

export default Sidebar;