import React from 'react';

import {
  Typography,
  Box,
} from '@material-ui/core';

class TabContent extends React.Component {

  render () {
    return (
      <Typography
          key={this.props.idx}
          component='div'
          role='tabpanel'
          hidden={this.props.selectedPreviewTab !== this.props.idx}
          id={`simple-tabpanel-${this.props.idx}`}
          aria-labelledby={`simple-tab-${this.props.idx}`} >
        {this.props.selectedPreviewTab === this.props.idx && <Box p={3}>{this.props.children}</Box>}
      </Typography>
    );
  }

}

export default TabContent;