"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var AppBar_1 = __importDefault(require("@material-ui/core/AppBar"));
var Toolbar_1 = __importDefault(require("@material-ui/core/Toolbar"));
var Menu_1 = __importDefault(require("@material-ui/icons/Menu"));
var IconButton_1 = __importDefault(require("@material-ui/core/IconButton"));
var Breadcrumbs_1 = __importDefault(require("../Breadcrumbs"));
var clsx_1 = __importDefault(require("clsx"));
var AppBar_ = /** @class */ (function (_super) {
    __extends(AppBar_, _super);
    function AppBar_() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.renderBreadcrumbs = function () {
            if (_this.props.breadcrumbs) {
                return react_1.default.createElement(Breadcrumbs_1.default, { itens: _this.props.breadcrumbs });
            }
            else {
                return null;
            }
        };
        return _this;
    }
    AppBar_.prototype.render = function () {
        return (react_1.default.createElement(AppBar_1.default, { position: "absolute", className: clsx_1.default('appBar', this.props.open && 'appBarShift') },
            react_1.default.createElement(Toolbar_1.default, { className: 'toolbar' },
                react_1.default.createElement(IconButton_1.default, { edge: "start", color: "inherit", "aria-label": "open drawer", onClick: this.props.handleDrawerOpen, className: clsx_1.default('menuButton', this.props.open && 'menuButtonHidden') },
                    react_1.default.createElement(Menu_1.default, null)),
                this.renderBreadcrumbs())));
    };
    return AppBar_;
}(react_1.default.Component));
exports.default = AppBar_;
