"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var core_1 = require("@material-ui/core");
var Loading = /** @class */ (function (_super) {
    __extends(Loading, _super);
    function Loading() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.progress = function () {
            if (_this.props.value) {
                return (react_1.default.createElement(core_1.CircularProgress, { style: {
                        position: 'fixed',
                        left: '50%',
                        top: '50%',
                    }, variant: "static", value: _this.props.value }));
            }
            else {
                return (react_1.default.createElement(core_1.CircularProgress, { style: {
                        position: 'fixed',
                        left: '50%',
                        top: '50%',
                    } }));
            }
        };
        return _this;
    }
    Loading.prototype.render = function () {
        if (this.props.isLoading) {
            return (react_1.default.createElement("div", { id: "loadingSpinner", style: {
                    position: 'absolute',
                    backgroundColor: 'white',
                    zIndex: '1000',
                    width: '100%',
                    height: '100%',
                } }, this.progress()));
        }
        return null;
    };
    return Loading;
}(react_1.default.Component));
exports.default = Loading;
