import React from 'react';
import {
  CircularProgress
} from '@material-ui/core';

class Loading extends React.Component {

  progress = () => {
    if ( this.props.value ) {
      return (
        <CircularProgress
          style={{
            position: 'fixed',
            left: '50%',
            top: '50%',
          }}
          variant="static"
          value={this.props.value} />
      );
    } else {
      return (
        <CircularProgress
          style={{
            position: 'fixed',
            left: '50%',
            top: '50%',
          }} />
      );
    }
  }
  
  render () {
    if ( this.props.isLoading ) {
      return (
        <div
            id="loadingSpinner" 
            style={{
              position: 'absolute',
              backgroundColor: 'white',
              zIndex: '1000',
              width: '100%',
              height: '100%',
            }} >
          {this.progress()}
        </div>
      );
    } 
    return null;
  }

}

export default Loading;